Package com.sun.jna.platform.unix

## Class X11.XGraphicsExposeEvent

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.unix.X11.XGraphicsExposeEvent

Enclosing interface:
  X11

    @FieldOrder({"type","serial","send_event","display","drawable","x","y","width","height","count","major_code","minor_code"})
    public static class X11.XGraphicsExposeEvent
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `count`
`X11.Display` `display`
`X11.Drawable` `drawable`
`int` `height`
`int` `major_code`
`int` `minor_code`
`int` `send_event`
`NativeLong` `serial`
`int` `type`
`int` `width`
`int` `x`
`int` `y`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`XGraphicsExposeEvent()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public int type

#### serial

    public NativeLong serial

#### send_event

    public int send_event

#### display

    public X11.Display display

#### drawable

    public X11.Drawable drawable

#### x

    public int x

#### y

    public int y

#### width

    public int width

#### height

    public int height

#### count

    public int count

#### major_code

    public int major_code

#### minor_code

    public int minor_code

### Constructor Detail

#### XGraphicsExposeEvent

    public XGraphicsExposeEvent()